org.apache.ignite.internal.pagemem.wal.record.delta

## Class InnerReplaceRecord<L>

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.InnerReplaceRecord<L>

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class InnerReplaceRecord<L>
    extends PageDeltaRecord

Inner replace on remove.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`InnerReplaceRecord(int grpId, long pageId, int dstIdx, long srcPageId, int srcIdx, long rmvId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `destinationIndex()`
`long` `removeId()`
`int` `sourceIndex()`
`long` `sourcePageId()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InnerReplaceRecord

    public InnerReplaceRecord(int grpId,
                              long pageId,
                              int dstIdx,
                              long srcPageId,
                              int srcIdx,
                              long rmvId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `dstIdx` - Destination index.
  `srcPageId` - Source page ID.
  `srcIdx` - Source index.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### destinationIndex

    public int destinationIndex()

Returns:
  Destination index.

#### sourcePageId

    public long sourcePageId()

Returns:
  Source page ID.

#### sourceIndex

    public int sourceIndex()

Returns:
  Source index.

#### removeId

    public long removeId()

Returns:
  Remove ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018